<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/ActionInteractBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d90/_action_interact_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionInteractBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d90/_action_interact_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/dd9/class_action_interact_base_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/dd9/class_action_interact_base_c_b.html">ActionInteractBaseCB</a> : <a class="code hl_class" href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/dd9/class_action_interact_base_c_b.html#a94995748d95412d061b4188f83e24be5">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dd9/class_action_interact_base_c_b.html#a94995748d95412d061b4188f83e24be5">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/d20/class_c_a_interact.html">CAInteract</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/dd9/class_action_interact_base_c_b.html#a9bf9c6668ddfee4ef1484f207ad55b5e">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dd9/class_action_interact_base_c_b.html#a9bf9c6668ddfee4ef1484f207ad55b5e">OnAnimationEvent</a>(<span class="keywordtype">int</span> pEventID)    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {   </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#ifdef DEVELOPER</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#acae9092240f417553e9fb20c0c8797d0">IsActionLogEnable</a>() )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <span class="keywordflow">if</span>(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>                <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#afa8a52d35ffa569e2a8b36b4d3026609">ActionLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a>.ToString() , <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;OnAnimationEvent&quot;</span>, <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ToString() );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#a19ded0aa636fcf7e419cf94c7980ad18">m_Interrupted</a> &amp;&amp; pEventID == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga89ac8402de337f7ccfbad07f6516bc40">UA_ANIM_EVENT</a> &amp;&amp; <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a> &amp;&amp; <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a> ) </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_class" href="../../d7/d94/class_animated_action_base.html">AnimatedActionBase</a> action = <a class="code hl_class" href="../../d7/d94/class_animated_action_base.html">AnimatedActionBase</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            action.<a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#a52f1bbd9f4ce8fc3e0863ee944af4225">OnAnimationEvent</a>(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }   </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d9/dd9/class_action_interact_base_c_b.html#a41786d4128503d11e5cded551ac9235b">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dd9/class_action_interact_base_c_b.html#a41786d4128503d11e5cded551ac9235b">InitActionComponent</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#ifdef DEVELOPER</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d9/df7/class_log_manager.html">LogManager</a>.<a class="code hl_function" href="../../d9/df7/class_log_manager.html#acae9092240f417553e9fb20c0c8797d0">IsActionLogEnable</a>() )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#afa8a52d35ffa569e2a8b36b4d3026609">ActionLog</a>(<span class="stringliteral">&quot;n/a&quot;</span>, <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a>.ToString() , <span class="stringliteral">&quot;n/a&quot;</span>, <span class="stringliteral">&quot;InitActionComponent&quot;</span>, <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ToString() );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#a19ded0aa636fcf7e419cf94c7980ad18">m_Interrupted</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#a15fe23592b18751c55200b70c917ea8c">m_Canceled</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d9/dd9/class_action_interact_base_c_b.html#a94995748d95412d061b4188f83e24be5">CreateActionComponent</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> ) </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a>.<a class="code hl_function" href="../../d0/df0/class_c_a_base.html#abec89d05e337a23702f8865fb89f8700">Init</a>(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">m_State</a> = <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../df/d55/_day_z_animal_8c.html#a427764203d16a3131112a544833b6fda">RegisterAnimationEvent</a>(<span class="stringliteral">&quot;ActionExec&quot;</span>, <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga89ac8402de337f7ccfbad07f6516bc40">UA_ANIM_EVENT</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#a39df5da2e3fad05de49cbcae5f86c712">m_SoundObject</a> = <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a>.PlayActionSound(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }   </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/dd9/class_action_interact_base_c_b.html#a7fef39bdf9bea39473bb27e9519f774d">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dd9/class_action_interact_base_c_b.html#a7fef39bdf9bea39473bb27e9519f774d">EndActionComponent</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a3c5d45da90c7b09cd521c54723181314">SetCommand</a>(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONINT_END);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">m_State</a> = <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }   </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>};</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html">   54</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a> : <a class="code hl_class" href="../../d7/d94/class_animated_action_base.html">AnimatedActionBase</a></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">//deprecated</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#afa2ee92b8e16566a8f93c9cdaabf2078">   57</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d5b/class_action_interact_base.html#afa2ee92b8e16566a8f93c9cdaabf2078">m_HUDCursorIcon</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#ac7431b95e8f8fc2c7f55c80fa2a938ad">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#ac7431b95e8f8fc2c7f55c80fa2a938ad">ActionInteractBase</a>() </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d9/dd9/class_action_interact_base_c_b.html">ActionInteractBaseCB</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_PICKUP_HANDS;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#a5796c62eea2c278e53bc75c2decbdf57">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#a5796c62eea2c278e53bc75c2decbdf57">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../da/da5/class_c_c_t_object.html">CCTObject</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">//deprecated</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#af093d787ef9ffad6b9f152b27620966a">   72</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#af093d787ef9ffad6b9f152b27620966a">GetHUDCursorIcon</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#acf93cf425d14358d9f7d8bff0b558053">   77</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#acf93cf425d14358d9f7d8bff0b558053">GetInputType</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#a778d72c5adae39a27e352955c89296d8">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#a778d72c5adae39a27e352955c89296d8">GetActionCategory</a>()</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#ace0ee254c7d1887accaf461e3f20200b">AC_INTERACT</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#ae21155bf5be3c7dfe2ee1d344fc5b3f4">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#ae21155bf5be3c7dfe2ee1d344fc5b3f4">UseMainItem</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d0/d5b/class_action_interact_base.html#a864c69f5f7a41e2b2be4defd5d9e5b35">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d5b/class_action_interact_base.html#a864c69f5f7a41e2b2be4defd5d9e5b35">MainItemAlwaysInHands</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }   </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="ttc" id="a4___world_2_classes_2_user_actions_component_2__constants_8c_html_ace0ee254c7d1887accaf461e3f20200b"><div class="ttname"><a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#ace0ee254c7d1887accaf461e3f20200b">AC_INTERACT</a></div><div class="ttdeci">const int AC_INTERACT</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c_source.html#l00004">_constants.c:4</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_day_z_animal_8c_html_a427764203d16a3131112a544833b6fda"><div class="ttname"><a href="../../df/d55/_day_z_animal_8c.html#a427764203d16a3131112a544833b6fda">RegisterAnimationEvent</a></div><div class="ttdeci">class DayZCreatureAnimInterface RegisterAnimationEvent(string event_name, string function_name)</div></div>
<div class="ttc" id="aclass_action_base_c_b_html"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html">ActionBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00001">AnimatedActionBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a15fe23592b18751c55200b70c917ea8c"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a15fe23592b18751c55200b70c917ea8c">ActionBaseCB::m_Canceled</a></div><div class="ttdeci">protected bool m_Canceled</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00005">AnimatedActionBase.c:5</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a19ded0aa636fcf7e419cf94c7980ad18"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a19ded0aa636fcf7e419cf94c7980ad18">ActionBaseCB::m_Interrupted</a></div><div class="ttdeci">protected bool m_Interrupted</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00006">AnimatedActionBase.c:6</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a39df5da2e3fad05de49cbcae5f86c712"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a39df5da2e3fad05de49cbcae5f86c712">ActionBaseCB::m_SoundObject</a></div><div class="ttdeci">protected SoundOnVehicle m_SoundObject</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00004">AnimatedActionBase.c:4</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a3c5d45da90c7b09cd521c54723181314"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a3c5d45da90c7b09cd521c54723181314">ActionBaseCB::SetCommand</a></div><div class="ttdeci">void SetCommand(int command_uid)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00046">AnimatedActionBase.c:46</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_ac1e0ce4566aafcf4a9faf829080267c8"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">ActionData::m_State</a></div><div class="ttdeci">int m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00031">ActionBase.c:31</a></div></div>
<div class="ttc" id="aclass_action_data_html_ae22b01b87c5948b3f66ee7cac92b0abb"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">ActionData::m_Action</a></div><div class="ttdeci">ref ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00027">ActionBase.c:27</a></div></div>
<div class="ttc" id="aclass_action_interact_base_c_b_html"><div class="ttname"><a href="../../d9/dd9/class_action_interact_base_c_b.html">ActionInteractBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00001">ActionInteractBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_interact_base_c_b_html_a41786d4128503d11e5cded551ac9235b"><div class="ttname"><a href="../../d9/dd9/class_action_interact_base_c_b.html#a41786d4128503d11e5cded551ac9235b">ActionInteractBaseCB::InitActionComponent</a></div><div class="ttdeci">override void InitActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00024">ActionInteractBase.c:24</a></div></div>
<div class="ttc" id="aclass_action_interact_base_c_b_html_a7fef39bdf9bea39473bb27e9519f774d"><div class="ttname"><a href="../../d9/dd9/class_action_interact_base_c_b.html#a7fef39bdf9bea39473bb27e9519f774d">ActionInteractBaseCB::EndActionComponent</a></div><div class="ttdeci">override void EndActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00045">ActionInteractBase.c:45</a></div></div>
<div class="ttc" id="aclass_action_interact_base_c_b_html_a94995748d95412d061b4188f83e24be5"><div class="ttname"><a href="../../d9/dd9/class_action_interact_base_c_b.html#a94995748d95412d061b4188f83e24be5">ActionInteractBaseCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00003">ActionInteractBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_interact_base_c_b_html_a9bf9c6668ddfee4ef1484f207ad55b5e"><div class="ttname"><a href="../../d9/dd9/class_action_interact_base_c_b.html#a9bf9c6668ddfee4ef1484f207ad55b5e">ActionInteractBaseCB::OnAnimationEvent</a></div><div class="ttdeci">override void OnAnimationEvent(int pEventID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00008">ActionInteractBase.c:8</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html">ActionInteractBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00054">ActionInteractBase.c:55</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_a5796c62eea2c278e53bc75c2decbdf57"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#a5796c62eea2c278e53bc75c2decbdf57">ActionInteractBase::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00065">ActionInteractBase.c:65</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_a778d72c5adae39a27e352955c89296d8"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#a778d72c5adae39a27e352955c89296d8">ActionInteractBase::GetActionCategory</a></div><div class="ttdeci">override int GetActionCategory()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00082">ActionInteractBase.c:82</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_a864c69f5f7a41e2b2be4defd5d9e5b35"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#a864c69f5f7a41e2b2be4defd5d9e5b35">ActionInteractBase::MainItemAlwaysInHands</a></div><div class="ttdeci">override bool MainItemAlwaysInHands()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00092">ActionInteractBase.c:92</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_ac7431b95e8f8fc2c7f55c80fa2a938ad"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#ac7431b95e8f8fc2c7f55c80fa2a938ad">ActionInteractBase::ActionInteractBase</a></div><div class="ttdeci">void ActionInteractBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00059">ActionInteractBase.c:59</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_acf93cf425d14358d9f7d8bff0b558053"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#acf93cf425d14358d9f7d8bff0b558053">ActionInteractBase::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00077">ActionInteractBase.c:77</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_ae21155bf5be3c7dfe2ee1d344fc5b3f4"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#ae21155bf5be3c7dfe2ee1d344fc5b3f4">ActionInteractBase::UseMainItem</a></div><div class="ttdeci">override bool UseMainItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00087">ActionInteractBase.c:87</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_af093d787ef9ffad6b9f152b27620966a"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#af093d787ef9ffad6b9f152b27620966a">ActionInteractBase::GetHUDCursorIcon</a></div><div class="ttdeci">string GetHUDCursorIcon()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00072">ActionInteractBase.c:72</a></div></div>
<div class="ttc" id="aclass_action_interact_base_html_afa2ee92b8e16566a8f93c9cdaabf2078"><div class="ttname"><a href="../../d0/d5b/class_action_interact_base.html#afa2ee92b8e16566a8f93c9cdaabf2078">ActionInteractBase::m_HUDCursorIcon</a></div><div class="ttdeci">string m_HUDCursorIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d90/_action_interact_base_8c_source.html#l00057">ActionInteractBase.c:57</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html">AnimatedActionBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00123">AnimatedActionBase.c:124</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a52f1bbd9f4ce8fc3e0863ee944af4225"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a52f1bbd9f4ce8fc3e0863ee944af4225">AnimatedActionBase::OnAnimationEvent</a></div><div class="ttdeci">void OnAnimationEvent(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00190">AnimatedActionBase.c:190</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_abec89d05e337a23702f8865fb89f8700"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#abec89d05e337a23702f8865fb89f8700">CABase::Init</a></div><div class="ttdeci">void Init(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00008">CABase.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_interact_html"><div class="ttname"><a href="../../d0/d20/class_c_a_interact.html">CAInteract</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d7d/_c_a_interact_8c_source.html#l00001">CAInteract.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_object_html"><div class="ttname"><a href="../../da/da5/class_c_c_t_object.html">CCTObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d88/_c_c_t_object_8c_source.html#l00001">CCTObject.c:2</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_afa8a52d35ffa569e2a8b36b4d3026609"><div class="ttname"><a href="../../da/d7d/class_debug.html#afa8a52d35ffa569e2a8b36b4d3026609">Debug::ActionLog</a></div><div class="ttdeci">static void ActionLog(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00135">Debug.c:135</a></div></div>
<div class="ttc" id="aclass_interact_action_input_html"><div class="ttname"><a href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00534">ActionInput.c:535</a></div></div>
<div class="ttc" id="aclass_log_manager_html"><div class="ttname"><a href="../../d9/df7/class_log_manager.html">LogManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00542">Debug.c:543</a></div></div>
<div class="ttc" id="aclass_log_manager_html_acae9092240f417553e9fb20c0c8797d0"><div class="ttname"><a href="../../d9/df7/class_log_manager.html#acae9092240f417553e9fb20c0c8797d0">LogManager::IsActionLogEnable</a></div><div class="ttdeci">static bool IsActionLogEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00578">Debug.c:578</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00413">constants.c:413</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga89ac8402de337f7ccfbad07f6516bc40"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga89ac8402de337f7ccfbad07f6516bc40">UA_ANIM_EVENT</a></div><div class="ttdeci">const int UA_ANIM_EVENT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00420">constants.c:420</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00411">constants.c:411</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../d7/d90/_action_interact_base_8c.html">ActionInteractBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
